API Explorer 936 endpoints

Refresh Bank Chat Room Joining Key

PUT /obp/v7.0.0/banks/BANK_ID/chat-rooms/CHAT_ROOM_ID/joining-key

OBPv6.0.0-refreshBankJoiningKey No role required Chat

Refresh the joining key for a chat room. The old key becomes invalid. Requires can_refresh_joining_key permission.

Authentication is Required

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

CHAT_ROOM_ID: CHAT_ROOM_ID

JSON response body fields (1)
joining_key
joining_key
Example success response
{
  "joining_key": "new-key-abc123"
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-39001: Chat Room not found. Please specify a valid value for CHAT_ROOM_ID.
  • OBP-39008: You do not have the required permission for this Chat Room action.
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 refreshBankJoiningKey Originally /obp/v6.0.0/banks/BANK_ID/chat-rooms/CHAT_ROOM_ID/joining-key